Hi I’m trying to run a small LLM that uses the new PyTorch file torch-2.9.0-cp310-cp310-linux_aarch64.whl but when I try and run python3 -c “import torch; print(torch.version)” I get the following error which suggests something is wrong with my torch.
File “”, line 1, in
File “/home/sunpter/oLLM/ollm_env/lib/python3.10/site-packages/torch/init.py”, line 427, in
from torch._C import * # noqa: F403
ImportError: libcudss.so.0: cannot open shared object file: No such file or directory
I tried installing cusparselt to see if it might fix this (according to this doc I found) but I still get this error when I run bash install_cusparselt.sh .
(ollm_env) sunpter@ubuntu:~/oLLM$ bash install_cusparselt.sh
- mkdir tmp_cusparselt
mkdir: cannot create directory ‘tmp_cusparselt’: File exists- [[ ‘’ =~ ^12.[1-4]$ ]]
- [[ ‘’ == \1\1.\8 ]]
- tar xf .tar.xz
tar: .tar.xz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
I think this could be an incompatibility issue so I also found this page but when I try to run the command to install cudss0.7.1 it doesn’t work for me. It seems like its down?
get https://developer.download.nvidia.com/compute/cuda/repos/ubuntu2204/arm64/cuda-keyring_1.1-1_all.deb
–2025-10-29 22:25:41-- https://developer.download.nvidia.com/compute/cuda/repos/ubuntu2204/arm64/cuda-keyring_1.1-1_all.deb
Resolving developer.download.nvidia.com (developer.download.nvidia.com)… 2604:2b40:21ff:ffff::17c7:36e4, 2604:2b40:21ff:ffff::17c7:36e5, 23.199.54.228, …
Connecting to developer.download.nvidia.com (developer.download.nvidia.com)|2604:2b40:21ff:ffff::17c7:36e4|:443… failed: Connection timed out.
Connecting to developer.download.nvidia.com (developer.download.nvidia.com)|2604:2b40:21ff:ffff::17c7:36e5|:443… failed: Network is unreachable.
Connecting to developer.download.nvidia.com (developer.download.nvidia.com)|23.199.54.228|:443… connected.
HTTP request sent, awaiting response… 200 OK
Length: 4328 (4.2K) [application/x-deb]
Saving to: ‘cuda-keyring_1.1-1_all.deb’cuda-keyring_1.1-1_all.deb 100%[====================================================================>] 4.23K --.-KB/s in 0s
2025-10-29 22:27:58 (801 MB/s) - ‘cuda-keyring_1.1-1_all.deb’ saved [4]
Does anyone know if I’m looking at this problem the right way? Or how to install torch for the Jetpack 6.2 and cuda v 12.9?